Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 498498 - sys-apps/portage-2.2.8 - FEATURES=mirror omits fetching USE flag dependent SRC_URI entries
Summary: sys-apps/portage-2.2.8 - FEATURES=mirror omits fetching USE flag dependent SR...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2014-01-18 20:14 UTC by Martin Walch
Modified: 2014-08-04 02:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Walch 2014-01-18 20:14:39 UTC
The man page of make.conf says:

> mirror Fetch everything in SRC_URI regardless of USE settings, except
> do not fetch anything when mirror is in RESTRICT.

So, when fetching SRC_URI of openssh, four files should be fetched (source tarball and three patches), no matter what the USE flags look like.

However, without the USE flags, the corresponding patches are not fetched:

USE="-X509 -hpn -ldap" emerge -1f openssh
Calculating dependencies... done!

>>> Fetching (1 of 1) net-misc/openssh-6.4_p1-r1
>>> Downloading 'http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.4p1.tar.gz'
--2014-01-18 20:57:31--  http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.4p1.tar.gz
Resolving ftp-stud.hs-esslingen.de... 129.143.116.10
Connecting to ftp-stud.hs-esslingen.de|129.143.116.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1201402 (1,1M) [application/x-gzip]
Saving to: ‘/usr/portage/distfiles/openssh-6.4p1.tar.gz’

100%[=======================================================================================================================>] 1.201.402   1,82MB/s   in 0,6s   

2014-01-18 20:57:32 (1,82 MB/s) - ‘/usr/portage/distfiles/openssh-6.4p1.tar.gz’ saved [1201402/1201402]

 * openssh-6.4p1.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                              [ ok ]

Portage successfully downloads the patches when activating the USE flags:

# USE="X509 hpn ldap" emerge -1f openssh
Calculating dependencies... done!

>>> Fetching (1 of 2) net-nds/openldap-2.4.35-r1
 * openldap-2.4.35.tgz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                               [ ok ]
 * rfc2307bis.schema-20120525 SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                        [ ok ]

>>> Fetching (2 of 2) net-misc/openssh-6.4_p1-r1
 * openssh-6.4p1.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                              [ ok ]
>>> Downloading 'http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.3p1-hpnssh14v2.diff.gz'
--2014-01-18 20:57:49--  http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.3p1-hpnssh14v2.diff.gz
Resolving ftp-stud.hs-esslingen.de... 129.143.116.10
Connecting to ftp-stud.hs-esslingen.de|129.143.116.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 24569 (24K) [application/x-gzip]
Saving to: ‘/usr/portage/distfiles/openssh-6.3p1-hpnssh14v2.diff.gz’

100%[=======================================================================================================================>] 24.569      --.-K/s   in 0,03s   

2014-01-18 20:57:50 (876 KB/s) - ‘/usr/portage/distfiles/openssh-6.3p1-hpnssh14v2.diff.gz’ saved [24569/24569]

 * openssh-6.3p1-hpnssh14v2.diff.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                  [ ok ]
>>> Downloading 'http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-lpk-6.3p1-0.3.14.patch.gz'
--2014-01-18 20:57:50--  http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-lpk-6.3p1-0.3.14.patch.gz
Resolving ftp-stud.hs-esslingen.de... 129.143.116.10
Connecting to ftp-stud.hs-esslingen.de|129.143.116.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 18208 (18K) [application/x-gzip]
Saving to: ‘/usr/portage/distfiles/openssh-lpk-6.3p1-0.3.14.patch.gz’

100%[=======================================================================================================================>] 18.208      --.-K/s   in 0,02s   

2014-01-18 20:57:50 (1,05 MB/s) - ‘/usr/portage/distfiles/openssh-lpk-6.3p1-0.3.14.patch.gz’ saved [18208/18208]

 * openssh-lpk-6.3p1-0.3.14.patch.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                 [ ok ]
>>> Downloading 'http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.4p1+x509-7.7.diff.gz'
--2014-01-18 20:57:50--  http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/distfiles/openssh-6.4p1+x509-7.7.diff.gz
Resolving ftp-stud.hs-esslingen.de... 129.143.116.10
Connecting to ftp-stud.hs-esslingen.de|129.143.116.10|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 220934 (216K) [application/x-gzip]
Saving to: ‘/usr/portage/distfiles/openssh-6.4p1+x509-7.7.diff.gz’

100%[=======================================================================================================================>] 220.934     --.-K/s   in 0,1s    

2014-01-18 20:57:50 (1,56 MB/s) - ‘/usr/portage/distfiles/openssh-6.4p1+x509-7.7.diff.gz’ saved [220934/220934]

 * openssh-6.4p1+x509-7.7.diff.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                    [ ok ]


# emerge --info
Portage 2.2.8 (default/linux/amd64/13.0/no-multilib, gcc-4.7.3, glibc-2.17, 3.10.7-gentoo-r1-gnu x86_64)
=================================================================
System uname: Linux-3.10.7-gentoo-r1-gnu-x86_64-AMD_Athlon-tm-_64_Processor_3800+-with-gentoo-2.2
KiB Mem:     1023704 total,    218040 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Fri, 17 Jan 2014 00:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r3, 3.2.5-r3, 3.3.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -fgcse-after-reload -fpredictive-commoning"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native -fgcse-after-reload -fpredictive-commoning"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync mirror multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict stricter unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_COMPRESS="xz"
PORTAGE_COMPRESS_FLAGS="-9 -e"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="3dnow 3dnowext acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx deblob dri fortran gdbm iconv iproute2 ipv6 lzo mmx mmxext modules mudflap ncurses nls nptl openmp pam pcre readline session sse sse2 sse3 ssl tcpd unicode zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 2 Brian Dolbec gentoo-dev 2014-08-04 02:10:14 UTC
released in portage-2.2.11